//------------------------------------------------------------------------------
//	$Id: mouseposition_dms.js,v 1.10 2019/06/25 13:33:40 wolf Exp $
//------------------------------------------------------------------------------
//	Erklaerung:	https://www.netzwolf.info/ol2/dms.html
//------------------------------------------------------------------------------
//	Fragen, Wuensche, Bedenken, Anregungen?
//	<openlayers(%40)netzwolf.info>
//------------------------------------------------------------------------------

/*jsl:option explicit*/

'use strict';

OpenLayers.Control.MousePositionDMS = OpenLayers.Class (OpenLayers.Control.MousePosition, {

	formatOutput: function (lonLat) {

		var lon = lonLat.lon - Math.ceil(lonLat.lon/360.0-0.5)*360.0;
		var lat = lonLat.lat;

		var ns = lat >= 0 ? 'N' : 'S';
		var we = lon >= 0 ? 'E' : 'W';

		lon = Math.abs(lon) + 0.5 / 3600;
		lat = Math.abs(lat) + 0.5 / 3600;

		var lon_d = Math.floor (lon); lon -= lon_d;
		var lon_m = Math.floor (lon*60); lon -= lon_m / 60;
		var lon_s = Math.floor (lon*3600);

		var lat_d = Math.floor (lat); lat -= lat_d;
		var lat_m = Math.floor (lat*60); lat -= lat_m / 60;
		var lat_s = Math.floor (lat*3600);

		return	ns + this.d2(lat_d) + '\xb0' + this.d2(lat_m) + '\u2032' + this.d2(lat_s) + '\u2033\xa0' +
			we + this.d2(lon_d) + '\xb0' + this.d2(lon_m) + '\u2032' + this.d2(lon_s) + '\u2033';
	},

	d2: function (number) {

		return Math.floor(number/10) + '' + number%10;
	},

	CLASS_NAME: 'OpenLayers.Control.MousePositionDMS'
});

//------------------------------------------------------------------------------
//	$Id: mouseposition_dms.js,v 1.10 2019/06/25 13:33:40 wolf Exp $
//------------------------------------------------------------------------------
